Skip to content

Verify a Phone Challenge

Request

OAuth 2.0 scope:
  • okta.myAccount.phone.manage

Verifies the phone number with the verification code that the user receives through SMS or CALL. The phone number is active upon a successful verification.

Notes:

  • Sending requests to the /idp/myaccount/phones/{id}/verify endpoint at a rate that exceeds the rate limit rule configured by the admin returns a 429 (Too Many Requests) error.
Path
idstringrequired

The phone ID. Obtain the ID of the phone through GET /idp/myaccount/phones or POST /idp/myaccount/phones when adding a new phone.

Example:sms18vtfKgzqDhNqP0g4
Headers
Acceptstringrequired

Specifies the API version. Current version: 1.0.0

Example:application/json; okta-version=1.0.0
Bodyapplication/json
verificationCodestring, (password)write-onlyrequired

A six-digit verification code that the user receives through SMS or CALL

Example:"492592"
POST
/idp/myaccount/phones/{id}/verify
curl -i -X POST \
  https://okta-subdomain.pixtulate.com/idp/myaccount/phones/sms18vtfKgzqDhNqP0g4/verify \
  -H 'Accept: application/json; okta-version=1.0.0' \
  -H 'Content-Type: application/json' \
  -d '{
    "verificationCode": "048284"
  }'

Responses

No Content

Bodyapplication/json;okta-version=1.0.0
Response
No content